---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/pages_access/pagesaccess__create_page_access.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Add user/group access to a page

<!-- markdownlint-disable-file -->

Adds personal access to a page for the specified user or group.

Lets you grant access with one of the following roles:
- `reader` — read
- `editor` — edit
- `extra_editor` — extended editing (access management)
- `author` — author (full access)

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/pages/{idx}/access
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_idx_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Page ID
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "user": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "group": {
    "src": "dir",
    "id": "example"
  },
  "role": "reader",
  "inheritance": "inherited"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_role_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **RoleAPI**

  **Type**: [RoleAPI](#entity-RoleAPI)

  Page access role:
  - `reader` — read
  - `editor` — edit
  - `extra_editor` — extended editing (access management)
  - `author` — author (full access)


  _Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`, `author`

{% endcut %}

Access role: `reader` (read), `editor` (edit), `extra_editor` (extended editing), `author` (author)

_Example:_{.json-schema-reset .json-schema-example} `reader`
{.table-cell}
||
||

_group_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ComIdentitySchema**

  **Type**: [ComIdentitySchema](#entity-ComIdentitySchema)

  Group identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "src": "dir",
    "id": "example"
  }
  ```

  {% endcut %}

{% endcut %}

The identifier of the group to grant access to. Specify either `user` or `group`

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "src": "dir",
  "id": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_inheritance_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **InheritanceAPI**

  **Type**: [InheritanceAPI](#entity-InheritanceAPI)

  Access inheritance for subpages:
  - `inherited` — access is inherited by subpages
  - `not_inherited` — access is not inherited by subpages


  _Enum:_{.json-schema-reset .json-schema-value} `inherited`, `not_inherited`

{% endcut %}

Access inheritance for subpages: `inherited` (inherited), `not_inherited` (not inherited)

_Example:_{.json-schema-reset .json-schema-example} `inherited`
{.table-cell}
||
||

_user_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

The identifier of the user to grant access to. Specify either `user` or `group`

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### UserIdentity {#entity-UserIdentity}

User identifier

#|
|| **Name** | **Description** ||
||

_cloud_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in the cloud (for the external instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in Yandex (for the internal instance)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### ComSource {#entity-ComSource}

Group identifier source:
- `dir` — IAM
- `cloud` — Yandex Cloud
- `com` — local database
- `staff` — Staff (internal employee directory)


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `dir`, `cloud`, `com`, `staff`

</div>

<div class="openapi-entity">

### ComIdentitySchema {#entity-ComIdentitySchema}

Group identifier

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group identifier in the specified source

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_src_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ComSource**

  **Type**: [ComSource](#entity-ComSource)

  Group identifier source:
  - `dir` — IAM
  - `cloud` — Yandex Cloud
  - `com` — local database
  - `staff` — Staff (internal employee directory)


  _Enum:_{.json-schema-reset .json-schema-value} `dir`, `cloud`, `com`, `staff`

{% endcut %}

Identifier source

_Example:_{.json-schema-reset .json-schema-example} `dir`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "src": "dir",
  "id": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### RoleAPI {#entity-RoleAPI}

Page access role:
- `reader` — read
- `editor` — edit
- `extra_editor` — extended editing (access management)
- `author` — author (full access)


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`, `author`

</div>

<div class="openapi-entity">

### InheritanceAPI {#entity-InheritanceAPI}

Access inheritance for subpages:
- `inherited` — access is inherited by subpages
- `not_inherited` — access is not inherited by subpages


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `inherited`, `not_inherited`

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": "example",
  "created_at": "2025-01-01T00:00:00Z",
  "user": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "group": {
    "id": "example",
    "identity": {
      "src": null,
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  },
  "role": "reader",
  "inheritance": "inherited"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Unique access identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_role_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **RoleAPI**

  **Type**: [RoleAPI](#entity-RoleAPI)

  Page access role:
  - `reader` — read
  - `editor` — edit
  - `extra_editor` — extended editing (access management)
  - `author` — author (full access)


  _Enum:_{.json-schema-reset .json-schema-value} `reader`, `editor`, `extra_editor`, `author`

{% endcut %}

Access role

_Example:_{.json-schema-reset .json-schema-example} `reader`
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the access was created

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_group_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **GroupSchema**

  **Type**: [GroupSchema](#entity-GroupSchema)

  Information about the group

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": "example",
    "identity": {
      "src": "dir",
      "id": "example"
    },
    "name": "example",
    "type": "wiki",
    "metadata": {
      "url": "example",
      "externals_count": 0
    },
    "members_count": 0
  }
  ```

  {% endcut %}

{% endcut %}

The group the access is granted to (populated if the access is granted to a group)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}
```

{% endcut %}
{.table-cell}
||
||

_inheritance_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **InheritanceAPI**

  **Type**: [InheritanceAPI](#entity-InheritanceAPI)

  Access inheritance for subpages:
  - `inherited` — access is inherited by subpages
  - `not_inherited` — access is not inherited by subpages


  _Enum:_{.json-schema-reset .json-schema-value} `inherited`, `not_inherited`

{% endcut %}

Access inheritance setting for subpages

_Example:_{.json-schema-reset .json-schema-example} `inherited`
{.table-cell}
||
||

_user_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserSchema**

  **Type**: [UserSchema](#entity-UserSchema)

  Information about the user

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  }
  ```

  {% endcut %}

{% endcut %}

The user the access is granted to (populated if the access is granted to a user)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### UserSchema {#entity-UserSchema}

Information about the user

#|
|| **Name** | **Description** ||
||

_affiliation_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User affiliation (for example, `yandex`, `external`)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User display name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Internal user identifier
{.table-cell}
||
||

_is_dismissed_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The user has been dismissed
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_identity_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

User identifier in the system

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### GroupType {#entity-GroupType}

Group type:
- `wiki` — a Wiki group
- `service` — a service group
- `servicerole` — a service role
- `group` — a regular group
- `department` — a department


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `wiki`, `service`, `servicerole`, `group`, `department`

</div>

<div class="openapi-entity">

### IntranetGroupMetadata {#entity-IntranetGroupMetadata}

Group metadata from the internal directory

#|
|| **Name** | **Description** ||
||

_externals_count_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Number of external consultants in the group
{.table-cell}
||
||

_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group URL in the directory

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "url": "example",
  "externals_count": 0
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### IamGroupMetadata {#entity-IamGroupMetadata}

Group metadata from IAM (Identity and Access Management)

#|
|| **Name** | **Description** ||
||

_dir_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Directory identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "dir_id": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### GroupSchema {#entity-GroupSchema}

Information about the group

#|
|| **Name** | **Description** ||
||

_identity_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **ComIdentitySchema**

  **Type**: [ComIdentitySchema](#entity-ComIdentitySchema)

  Group identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "src": "dir",
    "id": "example"
  }
  ```

  {% endcut %}

{% endcut %}

Group identifier in the system

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "src": "dir",
  "id": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Group name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **GroupType**

  **Type**: [GroupType](#entity-GroupType)

  Group type:
  - `wiki` — a Wiki group
  - `service` — a service group
  - `servicerole` — a service role
  - `group` — a regular group
  - `department` — a department


  _Enum:_{.json-schema-reset .json-schema-value} `wiki`, `service`, `servicerole`, `group`, `department`

{% endcut %}

Group type

_Example:_{.json-schema-reset .json-schema-example} `wiki`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Group identifier. For the external instance, dir_id; for the internal instance, staff_id

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_members_count_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Number of group members

_Default:_{.json-schema-reset .json-schema-value} `0`
{.table-cell}
||
||

_metadata_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

- **IntranetGroupMetadata**

  **Type**: [IntranetGroupMetadata](#entity-IntranetGroupMetadata)

  Group metadata from the internal directory

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "url": "example",
    "externals_count": 0
  }
  ```

  {% endcut %}

- **IamGroupMetadata**

  **Type**: [IamGroupMetadata](#entity-IamGroupMetadata)

  Group metadata from IAM (Identity and Access Management)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "dir_id": "example"
  }
  ```

  {% endcut %}

{% endcut %}

Additional group metadata

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "url": "example",
  "externals_count": 0
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "identity": {
    "src": "dir",
    "id": "example"
  },
  "name": "example",
  "type": "wiki",
  "metadata": {
    "url": "example",
    "externals_count": 0
  },
  "members_count": 0
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.